org.apache.hc.client5.http.impl.logging

## Class LoggingIOSession

- java.lang.Object
- - org.apache.hc.client5.http.impl.logging.LoggingIOSession

All Implemented Interfaces:
  Closeable, AutoCloseable, org.apache.hc.core5.io.GracefullyCloseable, org.apache.hc.core5.reactor.IOSession, org.apache.hc.core5.reactor.ssl.TransportSecurityLayer, org.apache.hc.core5.reactor.TlsCapableIOSession, org.apache.hc.core5.util.Identifiable

    public class LoggingIOSession
    extends Object
    implements org.apache.hc.core5.reactor.TlsCapableIOSession

### Field Summary

### Fields inherited from interface org.apache.hc.core5.reactor.IOSession

`ACTIVE, CLOSED, CLOSING`

### Constructor Summary

Constructors
Constructor and Description
`LoggingIOSession(org.apache.hc.core5.reactor.TlsCapableIOSession session, String id, org.apache.logging.log4j.Logger log)`
`LoggingIOSession(org.apache.hc.core5.reactor.TlsCapableIOSession session, String id, org.apache.logging.log4j.Logger log, org.apache.logging.log4j.Logger wirelog)`

### Method Summary

Methods
`void` `addFirst(org.apache.hc.core5.reactor.Command command)`
`void` `addLast(org.apache.hc.core5.reactor.Command command)`
`ByteChannel` `channel()`
`void` `clearEvent(int op)`
`void` `close()`
`org.apache.hc.core5.reactor.Command` `getCommand()`
`int` `getEventMask()`
`org.apache.hc.core5.reactor.IOEventHandler` `getHandler()`
`String` `getId()`
`SocketAddress` `getLocalAddress()`
`SocketAddress` `getRemoteAddress()`
`int` `getSocketTimeout()`
`int` `getStatus()`
`org.apache.hc.core5.reactor.ssl.TlsDetails` `getTlsDetails()`
`boolean` `isClosed()`
`void` `setEvent(int op)`
`void` `setEventMask(int ops)`
`void` `setHandler(org.apache.hc.core5.reactor.IOEventHandler handler)`
`void` `setSocketTimeout(int timeout)`
`void` `shutdown(org.apache.hc.core5.io.ShutdownType shutdownType)`
`void` `startTls(SSLContext sslContext, org.apache.hc.core5.reactor.ssl.SSLBufferManagement sslBufferManagement, org.apache.hc.core5.reactor.ssl.SSLSessionInitializer initializer, org.apache.hc.core5.reactor.ssl.SSLSessionVerifier verifier)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LoggingIOSession

    public LoggingIOSession(org.apache.hc.core5.reactor.TlsCapableIOSession session,
                    String id,
                    org.apache.logging.log4j.Logger log,
                    org.apache.logging.log4j.Logger wirelog)

#### LoggingIOSession

    public LoggingIOSession(org.apache.hc.core5.reactor.TlsCapableIOSession session,
                    String id,
                    org.apache.logging.log4j.Logger log)

### Method Detail

#### getId

    public String getId()

Specified by:
  `getId` in interface `org.apache.hc.core5.util.Identifiable`

#### addLast

    public void addLast(org.apache.hc.core5.reactor.Command command)

Specified by:
  `addLast` in interface `org.apache.hc.core5.reactor.IOSession`

#### addFirst

    public void addFirst(org.apache.hc.core5.reactor.Command command)

Specified by:
  `addFirst` in interface `org.apache.hc.core5.reactor.IOSession`

#### getCommand

    public org.apache.hc.core5.reactor.Command getCommand()

Specified by:
  `getCommand` in interface `org.apache.hc.core5.reactor.IOSession`

#### channel

    public ByteChannel channel()

Specified by:
  `channel` in interface `org.apache.hc.core5.reactor.IOSession`

#### getLocalAddress

    public SocketAddress getLocalAddress()

Specified by:
  `getLocalAddress` in interface `org.apache.hc.core5.reactor.IOSession`

#### getRemoteAddress

    public SocketAddress getRemoteAddress()

Specified by:
  `getRemoteAddress` in interface `org.apache.hc.core5.reactor.IOSession`

#### getEventMask

    public int getEventMask()

Specified by:
  `getEventMask` in interface `org.apache.hc.core5.reactor.IOSession`

#### setEventMask

    public void setEventMask(int ops)

Specified by:
  `setEventMask` in interface `org.apache.hc.core5.reactor.IOSession`

#### setEvent

    public void setEvent(int op)

Specified by:
  `setEvent` in interface `org.apache.hc.core5.reactor.IOSession`

#### clearEvent

    public void clearEvent(int op)

Specified by:
  `clearEvent` in interface `org.apache.hc.core5.reactor.IOSession`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `org.apache.hc.core5.reactor.IOSession`

#### getStatus

    public int getStatus()

Specified by:
  `getStatus` in interface `org.apache.hc.core5.reactor.IOSession`

#### isClosed

    public boolean isClosed()

Specified by:
  `isClosed` in interface `org.apache.hc.core5.reactor.IOSession`

#### shutdown

    public void shutdown(org.apache.hc.core5.io.ShutdownType shutdownType)

Specified by:
  `shutdown` in interface `org.apache.hc.core5.io.GracefullyCloseable`

#### getSocketTimeout

    public int getSocketTimeout()

Specified by:
  `getSocketTimeout` in interface `org.apache.hc.core5.reactor.IOSession`

#### setSocketTimeout

    public void setSocketTimeout(int timeout)

Specified by:
  `setSocketTimeout` in interface `org.apache.hc.core5.reactor.IOSession`

#### getHandler

    public org.apache.hc.core5.reactor.IOEventHandler getHandler()

Specified by:
  `getHandler` in interface `org.apache.hc.core5.reactor.IOSession`

#### setHandler

    public void setHandler(org.apache.hc.core5.reactor.IOEventHandler handler)

Specified by:
  `setHandler` in interface `org.apache.hc.core5.reactor.IOSession`

#### startTls

    public void startTls(SSLContext sslContext,
                org.apache.hc.core5.reactor.ssl.SSLBufferManagement sslBufferManagement,
                org.apache.hc.core5.reactor.ssl.SSLSessionInitializer initializer,
                org.apache.hc.core5.reactor.ssl.SSLSessionVerifier verifier)
                  throws UnsupportedOperationException

Specified by:
  `startTls` in interface `org.apache.hc.core5.reactor.ssl.TransportSecurityLayer`
Throws:
  `UnsupportedOperationException`

#### getTlsDetails

    public org.apache.hc.core5.reactor.ssl.TlsDetails getTlsDetails()

Specified by:
  `getTlsDetails` in interface `org.apache.hc.core5.reactor.ssl.TransportSecurityLayer`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`